import{s as ut,o as pt,n as mt}from"../chunks/scheduler.8c3d61f6.js";import{S as ht,i as ft,g as i,s as r,r as p,A as gt,h as d,f as o,c as s,j as M,u as m,x as v,k as D,y as t,a as u,v as h,d as f,t as g,w as _}from"../chunks/index.589a98e8.js";import{T as _t}from"../chunks/Tip.42aa8582.js";import{D as x}from"../chunks/Docstring.27406313.js";import{H as Ze,E as vt}from"../chunks/EditOnGithub.e5a8d9cb.js";function Mt(ue){let c,I=`The algorithm and model type are decoupled. You can use either DPMSolver or DPMSolver++ for both noise
prediction and data prediction models.`;return{c(){c=i("p"),c.textContent=I},l(S){c=d(S,"P",{"data-svelte-h":!0}),v(c)!=="svelte-95n5s"&&(c.textContent=I)},m(S,Z){u(S,c,Z)},p:mt,d(S){S&&o(c)}}}function Dt(ue){let c,I,S,Z,H,pe,V,Re='<code>EDMDPMSolverMultistepScheduler</code> is a <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Karras formulation</a> of <code>DPMSolverMultistepScheduler</code>, a multistep scheduler from <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPM-Solver: A Fast ODE Solver for Diffusion Probabilistic Model Sampling in Around 10 Steps</a> and <a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPM-Solver++: Fast Solver for Guided Sampling of Diffusion Probabilistic Models</a> by Cheng Lu, Yuhao Zhou, Fan Bao, Jianfei Chen, Chongxuan Li, and Jun Zhu.',me,q,Qe=`DPMSolver (and the improved version DPMSolver++) is a fast dedicated high-order solver for diffusion ODEs with convergence order guarantee. Empirically, DPMSolver sampling with only 20 steps can generate high-quality
samples, and it can generate quite good samples even in 10 steps.`,he,A,fe,n,z,we,R,Xe=`Implements DPMSolverMultistepScheduler in EDM formulation as presented in Karras et al. 2022 [1].
<code>EDMDPMSolverMultistepScheduler</code> is a fast dedicated high-order solver for diffusion ODEs.`,Ce,Q,et=`[1] Karras, Tero, et al. “Elucidating the Design Space of Diffusion-Based Generative Models.”
<a href="https://arxiv.org/abs/2206.00364" rel="nofollow">https://arxiv.org/abs/2206.00364</a>`,Le,X,tt=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,Oe,b,N,Ie,ee,rt=`Convert the model output to the corresponding type the DPMSolver/DPMSolver++ algorithm needs. DPM-Solver is
designed to discretize an integral of the noise prediction model, and DPM-Solver++ is designed to discretize an
integral of the data prediction model.`,He,P,Ve,T,k,qe,te,st="One step for the first-order DPMSolver (equivalent to DDIM).",Ae,y,F,ze,re,ot="One step for the second-order multistep DPMSolver.",Ne,E,j,ke,se,nt="One step for the third-order multistep DPMSolver.",Fe,w,B,je,oe,it=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep. Scales the denoising model input by <code>(sigma**2 + 1) ** 0.5</code> to match the Euler algorithm.`,Be,C,G,Ge,ne,dt="Sets the begin index for the scheduler. This function should be run from pipeline before the inference.",We,L,W,Ke,ie,lt="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",Ue,O,K,Je,de,at=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the multistep DPMSolver.`,ge,U,_e,$,J,Ye,le,ct="Base class for the output of a scheduler’s <code>step</code> function.",ve,Y,Me,ce,De;return H=new Ze({props:{title:"EDMDPMSolverMultistepScheduler",local:"edmdpmsolvermultistepscheduler",headingTag:"h1"}}),A=new Ze({props:{title:"EDMDPMSolverMultistepScheduler",local:"diffusers.EDMDPMSolverMultistepScheduler",headingTag:"h2"}}),z=new x({props:{name:"class diffusers.EDMDPMSolverMultistepScheduler",anchor:"diffusers.EDMDPMSolverMultistepScheduler",parameters:[{name:"sigma_min",val:": float = 0.002"},{name:"sigma_max",val:": float = 80.0"},{name:"sigma_data",val:": float = 0.5"},{name:"sigma_schedule",val:": str = 'karras'"},{name:"num_train_timesteps",val:": int = 1000"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"rho",val:": float = 7.0"},{name:"solver_order",val:": int = 2"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"sample_max_value",val:": float = 1.0"},{name:"algorithm_type",val:": str = 'dpmsolver++'"},{name:"solver_type",val:": str = 'midpoint'"},{name:"lower_order_final",val:": bool = True"},{name:"euler_at_final",val:": bool = False"},{name:"final_sigmas_type",val:": Optional = 'zero'"}],parametersDescription:[{anchor:"diffusers.EDMDPMSolverMultistepScheduler.sigma_min",description:`<strong>sigma_min</strong> (<code>float</code>, <em>optional</em>, defaults to 0.002) &#x2014;
Minimum noise magnitude in the sigma schedule. This was set to 0.002 in the EDM paper [1]; a reasonable
range is [0, 10].`,name:"sigma_min"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.sigma_max",description:`<strong>sigma_max</strong> (<code>float</code>, <em>optional</em>, defaults to 80.0) &#x2014;
Maximum noise magnitude in the sigma schedule. This was set to 80.0 in the EDM paper [1]; a reasonable
range is [0.2, 80.0].`,name:"sigma_max"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.sigma_data",description:`<strong>sigma_data</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
The standard deviation of the data distribution. This is set to 0.5 in the EDM paper [1].`,name:"sigma_data"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.sigma_schedule",description:`<strong>sigma_schedule</strong> (<code>str</code>, <em>optional</em>, defaults to <code>karras</code>) &#x2014;
Sigma schedule to compute the <code>sigmas</code>. By default, we the schedule introduced in the EDM paper
(<a href="https://arxiv.org/abs/2206.00364" rel="nofollow">https://arxiv.org/abs/2206.00364</a>). Other acceptable value is &#x201C;exponential&#x201D;. The exponential schedule was
incorporated in this model: <a href="https://huggingface.co/stabilityai/cosxl" rel="nofollow">https://huggingface.co/stabilityai/cosxl</a>.`,name:"sigma_schedule"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.solver_order",description:`<strong>solver_order</strong> (<code>int</code>, defaults to 2) &#x2014;
The DPMSolver order which can be <code>1</code> or <code>2</code> or <code>3</code>. It is recommended to use <code>solver_order=2</code> for guided
sampling, and <code>solver_order=3</code> for unconditional sampling.`,name:"solver_order"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code> and
<code>algorithm_type=&quot;dpmsolver++&quot;</code>.`,name:"sample_max_value"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.algorithm_type",description:`<strong>algorithm_type</strong> (<code>str</code>, defaults to <code>dpmsolver++</code>) &#x2014;
Algorithm type for the solver; can be <code>dpmsolver++</code> or <code>sde-dpmsolver++</code>. The <code>dpmsolver++</code> type implements
the algorithms in the <a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPMSolver++</a> paper. It is recommended to
use <code>dpmsolver++</code> or <code>sde-dpmsolver++</code> with <code>solver_order=2</code> for guided sampling like in Stable Diffusion.`,name:"algorithm_type"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.solver_type",description:`<strong>solver_type</strong> (<code>str</code>, defaults to <code>midpoint</code>) &#x2014;
Solver type for the second-order solver; can be <code>midpoint</code> or <code>heun</code>. The solver type slightly affects the
sample quality, especially for a small number of steps. It is recommended to use <code>midpoint</code> solvers.`,name:"solver_type"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.lower_order_final",description:`<strong>lower_order_final</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use lower-order solvers in the final steps. Only valid for &lt; 15 inference steps. This can
stabilize the sampling of DPMSolver for steps &lt; 15, especially for steps &lt;= 10.`,name:"lower_order_final"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.euler_at_final",description:`<strong>euler_at_final</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use Euler&#x2019;s method in the final step. It is a trade-off between numerical stability and detail
richness. This can stabilize the sampling of the SDE variant of DPMSolver for small number of inference
steps, but sometimes may result in blurring.`,name:"euler_at_final"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.final_sigmas_type",description:`<strong>final_sigmas_type</strong> (<code>str</code>, defaults to <code>&quot;zero&quot;</code>) &#x2014;
The final <code>sigma</code> value for the noise schedule during the sampling process. If <code>&quot;sigma_min&quot;</code>, the final
sigma is the same as the last sigma in the training schedule. If <code>zero</code>, the final sigma is set to 0.`,name:"final_sigmas_type"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_edm_dpmsolver_multistep.py#L28"}}),N=new x({props:{name:"convert_model_output",anchor:"diffusers.EDMDPMSolverMultistepScheduler.convert_model_output",parameters:[{name:"model_output",val:": Tensor"},{name:"sample",val:": Tensor = None"}],parametersDescription:[{anchor:"diffusers.EDMDPMSolverMultistepScheduler.convert_model_output.model_output",description:`<strong>model_output</strong> (<code>torch.Tensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.convert_model_output.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_edm_dpmsolver_multistep.py#L363",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The converted model output.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),P=new _t({props:{$$slots:{default:[Mt]},$$scope:{ctx:ue}}}),k=new x({props:{name:"dpm_solver_first_order_update",anchor:"diffusers.EDMDPMSolverMultistepScheduler.dpm_solver_first_order_update",parameters:[{name:"model_output",val:": Tensor"},{name:"sample",val:": Tensor = None"},{name:"noise",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.EDMDPMSolverMultistepScheduler.dpm_solver_first_order_update.model_output",description:`<strong>model_output</strong> (<code>torch.Tensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.dpm_solver_first_order_update.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_edm_dpmsolver_multistep.py#L398",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),F=new x({props:{name:"multistep_dpm_solver_second_order_update",anchor:"diffusers.EDMDPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"sample",val:": Tensor = None"},{name:"noise",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.EDMDPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.Tensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_edm_dpmsolver_multistep.py#L436",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),j=new x({props:{name:"multistep_dpm_solver_third_order_update",anchor:"diffusers.EDMDPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"sample",val:": Tensor = None"}],parametersDescription:[{anchor:"diffusers.EDMDPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.Tensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_edm_dpmsolver_multistep.py#L507",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),B=new x({props:{name:"scale_model_input",anchor:"diffusers.EDMDPMSolverMultistepScheduler.scale_model_input",parameters:[{name:"sample",val:": Tensor"},{name:"timestep",val:": Union"}],parametersDescription:[{anchor:"diffusers.EDMDPMSolverMultistepScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_edm_dpmsolver_multistep.py#L209",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A scaled input sample.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),G=new x({props:{name:"set_begin_index",anchor:"diffusers.EDMDPMSolverMultistepScheduler.set_begin_index",parameters:[{name:"begin_index",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.EDMDPMSolverMultistepScheduler.set_begin_index.begin_index",description:`<strong>begin_index</strong> (<code>int</code>) &#x2014;
The begin index for the scheduler.`,name:"begin_index"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_edm_dpmsolver_multistep.py#L167"}}),W=new x({props:{name:"set_timesteps",anchor:"diffusers.EDMDPMSolverMultistepScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int = None"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.EDMDPMSolverMultistepScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_edm_dpmsolver_multistep.py#L233"}}),K=new x({props:{name:"step",anchor:"diffusers.EDMDPMSolverMultistepScheduler.step",parameters:[{name:"model_output",val:": Tensor"},{name:"timestep",val:": int"},{name:"sample",val:": Tensor"},{name:"generator",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.EDMDPMSolverMultistepScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.Tensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.EDMDPMSolverMultistepScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/dpm_discrete#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_edm_dpmsolver_multistep.py#L594",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/dpm_discrete#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="/docs/diffusers/main/en/api/schedulers/dpm_discrete#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),U=new Ze({props:{title:"SchedulerOutput",local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",headingTag:"h2"}}),J=new x({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": Tensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L60"}}),Y=new vt({props:{source:"https://github.com/huggingface/diffusers/blob/main/docs/source/en/api/schedulers/edm_multistep_dpm_solver.md"}}),{c(){c=i("meta"),I=r(),S=i("p"),Z=r(),p(H.$$.fragment),pe=r(),V=i("p"),V.innerHTML=Re,me=r(),q=i("p"),q.textContent=Qe,he=r(),p(A.$$.fragment),fe=r(),n=i("div"),p(z.$$.fragment),we=r(),R=i("p"),R.innerHTML=Xe,Ce=r(),Q=i("p"),Q.innerHTML=et,Le=r(),X=i("p"),X.innerHTML=tt,Oe=r(),b=i("div"),p(N.$$.fragment),Ie=r(),ee=i("p"),ee.textContent=rt,He=r(),p(P.$$.fragment),Ve=r(),T=i("div"),p(k.$$.fragment),qe=r(),te=i("p"),te.textContent=st,Ae=r(),y=i("div"),p(F.$$.fragment),ze=r(),re=i("p"),re.textContent=ot,Ne=r(),E=i("div"),p(j.$$.fragment),ke=r(),se=i("p"),se.textContent=nt,Fe=r(),w=i("div"),p(B.$$.fragment),je=r(),oe=i("p"),oe.innerHTML=it,Be=r(),C=i("div"),p(G.$$.fragment),Ge=r(),ne=i("p"),ne.textContent=dt,We=r(),L=i("div"),p(W.$$.fragment),Ke=r(),ie=i("p"),ie.textContent=lt,Ue=r(),O=i("div"),p(K.$$.fragment),Je=r(),de=i("p"),de.textContent=at,ge=r(),p(U.$$.fragment),_e=r(),$=i("div"),p(J.$$.fragment),Ye=r(),le=i("p"),le.innerHTML=ct,ve=r(),p(Y.$$.fragment),Me=r(),ce=i("p"),this.h()},l(e){const a=gt("svelte-u9bgzb",document.head);c=d(a,"META",{name:!0,content:!0}),a.forEach(o),I=s(e),S=d(e,"P",{}),M(S).forEach(o),Z=s(e),m(H.$$.fragment,e),pe=s(e),V=d(e,"P",{"data-svelte-h":!0}),v(V)!=="svelte-1ak0e1h"&&(V.innerHTML=Re),me=s(e),q=d(e,"P",{"data-svelte-h":!0}),v(q)!=="svelte-l6rv24"&&(q.textContent=Qe),he=s(e),m(A.$$.fragment,e),fe=s(e),n=d(e,"DIV",{class:!0});var l=M(n);m(z.$$.fragment,l),we=s(l),R=d(l,"P",{"data-svelte-h":!0}),v(R)!=="svelte-5b1txv"&&(R.innerHTML=Xe),Ce=s(l),Q=d(l,"P",{"data-svelte-h":!0}),v(Q)!=="svelte-72xw7v"&&(Q.innerHTML=et),Le=s(l),X=d(l,"P",{"data-svelte-h":!0}),v(X)!=="svelte-linuuh"&&(X.innerHTML=tt),Oe=s(l),b=d(l,"DIV",{class:!0});var ae=M(b);m(N.$$.fragment,ae),Ie=s(ae),ee=d(ae,"P",{"data-svelte-h":!0}),v(ee)!=="svelte-1st02i8"&&(ee.textContent=rt),He=s(ae),m(P.$$.fragment,ae),ae.forEach(o),Ve=s(l),T=d(l,"DIV",{class:!0});var Se=M(T);m(k.$$.fragment,Se),qe=s(Se),te=d(Se,"P",{"data-svelte-h":!0}),v(te)!=="svelte-4nw43d"&&(te.textContent=st),Se.forEach(o),Ae=s(l),y=d(l,"DIV",{class:!0});var be=M(y);m(F.$$.fragment,be),ze=s(be),re=d(be,"P",{"data-svelte-h":!0}),v(re)!=="svelte-1d6o6zu"&&(re.textContent=ot),be.forEach(o),Ne=s(l),E=d(l,"DIV",{class:!0});var xe=M(E);m(j.$$.fragment,xe),ke=s(xe),se=d(xe,"P",{"data-svelte-h":!0}),v(se)!=="svelte-17nne8p"&&(se.textContent=nt),xe.forEach(o),Fe=s(l),w=d(l,"DIV",{class:!0});var $e=M(w);m(B.$$.fragment,$e),je=s($e),oe=d($e,"P",{"data-svelte-h":!0}),v(oe)!=="svelte-1hew89w"&&(oe.innerHTML=it),$e.forEach(o),Be=s(l),C=d(l,"DIV",{class:!0});var Pe=M(C);m(G.$$.fragment,Pe),Ge=s(Pe),ne=d(Pe,"P",{"data-svelte-h":!0}),v(ne)!=="svelte-1k141rk"&&(ne.textContent=dt),Pe.forEach(o),We=s(l),L=d(l,"DIV",{class:!0});var Te=M(L);m(W.$$.fragment,Te),Ke=s(Te),ie=d(Te,"P",{"data-svelte-h":!0}),v(ie)!=="svelte-1vzm9q"&&(ie.textContent=lt),Te.forEach(o),Ue=s(l),O=d(l,"DIV",{class:!0});var ye=M(O);m(K.$$.fragment,ye),Je=s(ye),de=d(ye,"P",{"data-svelte-h":!0}),v(de)!=="svelte-7jbjgx"&&(de.textContent=at),ye.forEach(o),l.forEach(o),ge=s(e),m(U.$$.fragment,e),_e=s(e),$=d(e,"DIV",{class:!0});var Ee=M($);m(J.$$.fragment,Ee),Ye=s(Ee),le=d(Ee,"P",{"data-svelte-h":!0}),v(le)!=="svelte-6ojmkw"&&(le.innerHTML=ct),Ee.forEach(o),ve=s(e),m(Y.$$.fragment,e),Me=s(e),ce=d(e,"P",{}),M(ce).forEach(o),this.h()},h(){D(c,"name","hf:doc:metadata"),D(c,"content",St),D(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){t(document.head,c),u(e,I,a),u(e,S,a),u(e,Z,a),h(H,e,a),u(e,pe,a),u(e,V,a),u(e,me,a),u(e,q,a),u(e,he,a),h(A,e,a),u(e,fe,a),u(e,n,a),h(z,n,null),t(n,we),t(n,R),t(n,Ce),t(n,Q),t(n,Le),t(n,X),t(n,Oe),t(n,b),h(N,b,null),t(b,Ie),t(b,ee),t(b,He),h(P,b,null),t(n,Ve),t(n,T),h(k,T,null),t(T,qe),t(T,te),t(n,Ae),t(n,y),h(F,y,null),t(y,ze),t(y,re),t(n,Ne),t(n,E),h(j,E,null),t(E,ke),t(E,se),t(n,Fe),t(n,w),h(B,w,null),t(w,je),t(w,oe),t(n,Be),t(n,C),h(G,C,null),t(C,Ge),t(C,ne),t(n,We),t(n,L),h(W,L,null),t(L,Ke),t(L,ie),t(n,Ue),t(n,O),h(K,O,null),t(O,Je),t(O,de),u(e,ge,a),h(U,e,a),u(e,_e,a),u(e,$,a),h(J,$,null),t($,Ye),t($,le),u(e,ve,a),h(Y,e,a),u(e,Me,a),u(e,ce,a),De=!0},p(e,[a]){const l={};a&2&&(l.$$scope={dirty:a,ctx:e}),P.$set(l)},i(e){De||(f(H.$$.fragment,e),f(A.$$.fragment,e),f(z.$$.fragment,e),f(N.$$.fragment,e),f(P.$$.fragment,e),f(k.$$.fragment,e),f(F.$$.fragment,e),f(j.$$.fragment,e),f(B.$$.fragment,e),f(G.$$.fragment,e),f(W.$$.fragment,e),f(K.$$.fragment,e),f(U.$$.fragment,e),f(J.$$.fragment,e),f(Y.$$.fragment,e),De=!0)},o(e){g(H.$$.fragment,e),g(A.$$.fragment,e),g(z.$$.fragment,e),g(N.$$.fragment,e),g(P.$$.fragment,e),g(k.$$.fragment,e),g(F.$$.fragment,e),g(j.$$.fragment,e),g(B.$$.fragment,e),g(G.$$.fragment,e),g(W.$$.fragment,e),g(K.$$.fragment,e),g(U.$$.fragment,e),g(J.$$.fragment,e),g(Y.$$.fragment,e),De=!1},d(e){e&&(o(I),o(S),o(Z),o(pe),o(V),o(me),o(q),o(he),o(fe),o(n),o(ge),o(_e),o($),o(ve),o(Me),o(ce)),o(c),_(H,e),_(A,e),_(z),_(N),_(P),_(k),_(F),_(j),_(B),_(G),_(W),_(K),_(U,e),_(J),_(Y,e)}}}const St='{"title":"EDMDPMSolverMultistepScheduler","local":"edmdpmsolvermultistepscheduler","sections":[{"title":"EDMDPMSolverMultistepScheduler","local":"diffusers.EDMDPMSolverMultistepScheduler","sections":[],"depth":2},{"title":"SchedulerOutput","local":"diffusers.schedulers.scheduling_utils.SchedulerOutput","sections":[],"depth":2}],"depth":1}';function bt(ue){return pt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Et extends ht{constructor(c){super(),ft(this,c,bt,Dt,ut,{})}}export{Et as component};
